Subject: bug#15151: 24.3.50; flyspell-mode messes up input method

From: Ashish <[email-masked]>
Date: Mon, 6 Sep 2021 12:42:47 +0000

On Mon, Sep 06, 2021 at 11:59:21AM +0200, Lars Ingebrigtsen wrote:
> [email-masked] (Ashish SHUKLA) writes:
> 
> > If you enable 'flyspell-mode' in a buffer, and switch to `english-dvorak'
> > input method, you'll notice keys are not outputting expected characters. As
> > soon as you disable 'flyspell-mode' it starts working as expected.
> 
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
> 
> I tried reproducing this in Emacs 28 from "emacs -Q":
> 
> M-x flyspell-mode
> M-x set-input-method english-dvorak
> 
> I then typed the qwerty line of keys and got:
> 
> ',.pyf
> 
> I switched flyspell-mode off and repeated:
> 
> ',.pyf
> 
> So this seems to work the same with or without flyspell-mode now.  Are
> you still seeing this issue in recent Emacs versions?

I tested with Emacs 28.0.50 (git commit: 4c49ec7f865bdad1629d2f125f71f4e506b258f2), and am not able to reproduce it anymore.

Feel free to close this bug report.

Thanks!
-- 
Ashish | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0

"Should I kill myself, or have a cup of coffee?" (Albert Camus)